import Vapor
import Leaf
import LeafErrorMiddleware

// configures your application
public func configure(_ app: Application) throws {
    app.middleware.use(LeafErrorMiddleware())
    // Serve files from /Public
    app.middleware.use(FileMiddleware(publicDirectory: app.directory.publicDirectory))

    app.middleware.use(app.sessions.middleware)
    app.sessions.configuration.cookieName = "statusboard_session"

    // Configure Leaf
    LeafOption.caching = app.environment.isRelease ? .default : .bypass
    LeafRenderer.Option.timeout = 200.0
    app.views.use(.leaf)

    // Register routes
    try routes(app)
}
